Package picard.illumina.parser

## Class TilePhasingValue

- java.lang.Object
- - picard.illumina.parser.TilePhasingValue

-     public class TilePhasingValue
      extends Object

  Captures information about a phasing value - Which read it corresponds to, which phasing type and a median value

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TilePhasingValue​(TileTemplateRead tileTemplateRead, float phasingValue, float prePhasingValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `getPhasingValue()` |
    `float` | `getPrePhasingValue()` |
    `TileTemplateRead` | `getTileTemplateRead()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TilePhasingValue

          public TilePhasingValue​(TileTemplateRead tileTemplateRead,
                                  float phasingValue,
                                  float prePhasingValue)

  - ### Method Detail

    - #### getTileTemplateRead

          public TileTemplateRead getTileTemplateRead()

    - #### getPhasingValue

          public float getPhasingValue()

    - #### getPrePhasingValue

          public float getPrePhasingValue()